%define _requires_exceptions  typelib(GtkosxApplication\\|Gtkspell)

%define name	gramps
%define version 4.2.5
%define release %mkrel 1

Summary:	Genealogical Research and Analysis Management Programming System
Summary(de):	Genealogie-Erforschung und -Analysesystem
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPLv2+
Group:		Sciences/Other
Source0:	http://prdownloads.sourceforge.net/gramps/%{name}-%{version}.tar.xz
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://gramps.sourceforge.net
Requires:	gtk+3.0
Requires:	python3
Requires:	python3-bsddb3
Requires:	python3-cairo
Requires:	python3-gobject3
Requires:	python3-icu
Requires:	xdg-utils
Requires:	%{_lib}osmgpsmap1.0_0
Requires:	%{_lib}gexiv2_2
Requires:	%{_lib}rsvg2_2
Requires:	%{_lib}gtk+3_0
#---------------------------------------
BuildRequires:  desktop-file-utils
BuildRequires:  docbook-utils
BuildRequires:	scrollkeeper
BuildRequires:  intltool
BuildRequires:	%{_lib}python3-devel
BuildRequires:	python3-setuptools
Obsoletes:	%name < %version

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%description -l de
GRAMPS ist ein Genealogie-Programm, entwickelt für Linux und andere
UNIX-ähnliche Systeme. Es hilft dir deinen Familienstammbaum aufzuzeichnen
indem es das einfache Speichern, Bearbeiten, Abrufen und Finden genealogischer
Zusammenhänge ermöglicht.


%prep
%setup -q

%build
python3 setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python3 setup.py install --root %{buildroot}
perl -pi -e "s@%{buildroot}@@" %buildroot/%python3_sitelib/gramps/gen/utils/resource-path

#cleaning
rm -rf %{buildroot}/var

#menu
perl -pi -e 's,%{name}.png,%{name},g' %{buildroot}%{_datadir}/applications/*
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="Science" \
  --add-category="X-MandrivaLinux-MoreApplications-Sciences-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

#icons
install -m644 %{SOURCE11} -D %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 %{SOURCE12} -D %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{SOURCE13} -D %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
 
%find_lang %{name} --with-gnome --with-man
rm -f %{buildroot}%python3_sitelib/gramps-*.egg-info

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_scrollkeeper
%update_mime_database
%update_icon_cache hicolor

%postun
%clean_scrollkeeper
%clean_mime_database
%clean_icon_cache hicolor

%files -f %{name}.lang
%defattr(-, root, root)
%doc README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/metainfo/%{name}.appdata.xml
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/icons/gnome/*/mimetypes/*
%{_iconsdir}/%{name}.png
%{_datadir}/mime-info/%{name}.*
%{_mandir}/man1/%{name}.1*
%{_iconsdir}/hicolor/*/apps/%{name}.png
%python3_sitelib/%name/


%changelog
* Fri Jan 27 2017 adrianomorselli <adrianomorselli> 4.2.5-1uplos2017
- rebuild

* Wed Dec 21 2016 woodhead <pp> 4.2.5-1pclos2017
- update

* Tue Sep 06 2016 woodhead <pp> 4.2.4-1pclos2016
- update

* Tue Apr 12 2016 woodhead <pp> 4.2.3-1pclos2016
- update

* Sat Jan 09 2016 pp <pp> 4.2.2-1pclos2016
- update

* Thu Oct 15 2015 pp <pp> 4.2.1-1pclos2015
- update

* Sat Aug 22 2015 bb <bb> 4.2.0-1pclos2015
- update

* Sat May 09 2015 pinoc <vogtpet at gmail.com> 4.1.3-1pclos2015
- 4.1.3

* Sat Apr 04 2015 pinoc <vogtpet at gmail.com> 4.1.2-1pclos2015
- 4.1.2
